---
include: .gitlab/ci_templates/common.yml

default:
  interruptible: true

.bootstrap:
  image: quay.io/buildah/stable:latest
  before_script:
    - dnf -y --setopt=install_weak_deps=False install cpp skopeo

.local:
  image: $CI_REGISTRY_IMAGE/ci:p-$CI_PIPELINE_ID

build/ci:
  extends: [.build_container_image, .bootstrap]

tag/ci:
  extends: [.tag_container_image, .local]

production/ci:
  extends: [.deploy_container_image, .local]
  variables:
    DEPLOY_DEFAULT_BRANCH: automatic

lint_and_test:
  extends: [.lint_and_test, .local]

dce-app-1-mr:
  extends: .trigger_dependency_mr
  variables:
    pip_package_override_dce_common: git+$CI_MERGE_REQUEST_PROJECT_URL@refs/merge-requests/$CI_MERGE_REQUEST_IID/merge
  trigger: {project: cki-project/devconfcz-2022-example/dce-app-1}

test:
  extends: [.test, .local]
